.\" Hey, EMACS: -*- nroff -*-
.\" First parameter, NAME, should be all caps
.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
.\" other parameters are allowed: see man(7), man(1)
.\" Please adjust this date whenever revising the manpage.
.\" 
.\" Some roff macros, for reference:
.\" .nh        disable hyphenation
.\" .hy        enable hyphenation
.\" .ad l      left justify
.\" .ad b      justify to both left and right margins
.\" .nf        disable filling
.\" .fi        enable filling
.\" .br        insert line break
.\" .sp <n>    insert n+1 empty lines
.\" for manpage-specific macros, see man(7)
.TH "PYKARAOKE" "6" "july 16, 2006" "" ""
.SH "NAME"
pykaraoke \- free CDG/MIDI/MPEG karaoke player
.SH "SYNOPSIS"
.B pykaraoke
.SH "DESCRIPTION"
.\" TeX users may be more comfortable with the \fB<whatever>\fP and
.\" \fI<whatever>\fP escape sequences to invode bold face and italics, 
.\" respectively.
\fBpykaraoke\fP is a free karaoke player for Linux, FreeBSD and Windows. 
You can use this program to play your collection of CDG, MIDI and MPEG karaoke songs.
.PP 
PyKaraoke Features:
    * CDG (MP3+G, OGG+G) playback \- Play standard CDG karaoke files
    * MIDI (.MID/.KAR) playback \- Play MIDI format karaoke files
    * MPEG playback \- Play karaoke songs and movies in MPEG format
    * Playlist \- Queue up songs, sit back and enjoy
    * Searchable song database \- Easily find your songs from the main screen
    * Search inside ZIP files \- Play MP3+G/MIDI files wrapped in ZIP files
    * Cross\-platform \- Runs on Linux, FreeBSD and Windows
.SH "USAGE"
The player starts in Search View. From here you can search for songs in your song database. You need to first set up the database, however, by clicking "Add Songs".
.PP 
To set up the database, add the folders that contain your karaoke songs. Select which type of files you are interested in adding to the search database (CDG, MPG etc). Click "Look Inside Zips" if you also want to search inside any ZIP files found in the folders for more karaoke songs.
.PP 
When you have finished adding folders, and setting your preferences, click "Scan Now" to start building the database. This can take some time but only needs to be done once. The search engine then searches your database, rather than searching the hard disk every time you search for a song.
.PP 
Once you have set up your database, clicking "Save" will save the database and settings for the next time you run the program. (The information is saved in a .pykaraoke folder in your home directory).
.PP 
If you get more karaoke files, don't forget to rescan the hard disk and build the database again. Otherwise the new files won't be visible in the search engine.
.PP 
With your database set up, you are ready to start searching for and playing your karaoke songs. From the main window, enter the name of the song you would like to find and click "Search". This will populate the Search Results panel below with the matching song files. From here double\-clicking a song plays it directly. You can also add the song to your playlist by right\-clicking on the song and using the popup menu.
.PP 
There is also a simple explorer\-like interface that can be selected using a drop\-down box on the main window ("Folder View"). Using this you can also play songs directly or add them to the playlist, by right\-clicking on the song and using the popup menu.
.PP 
In the right\-hand side of the window you will find your playlist. Songs can be added from the search results or folder browser, until you have built up your playlist. Once ready, click on the song you would like to start with. When the song is finished playing, the next song down the playlist will automatically start playing. You can also delete single songs, or clear the entire playlist by right\-clicking on an item in the playlist.
.PP 
pykaraoke is actually a GUI frontend which controls three libraries, pycdg for CDG files, pykar for MIDI/KAR files and pympg for MPEG files. If you do not wish to use the GUI you can actually start a player directly from the command\-line (or by associating file\-types in your operating system).
.SH "SEE ALSO"
.
You can find PyKaraoke's home page at: http://www.kibosh.org/pykaraoke/
.P
.SH "AUTHOR"
PyKaraoke was written by Kelvin Lawson <kelvinl@users.sourceforge.net>
and William Ferrell <willfe@gmail.com>.
.PP 
This manual page was written by Miriam Ruiz <little_miry@yahoo.es>,
for the Debian project (but may be used by others).
